/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.tm.ui.actions;

import org.eclipse.jface.viewers.IStructuredSelection;

import benten.cat.tm.core.BentenTmSearchResult;
import benten.cat.tm.ui.views.TranslationView;
import benten.ui.actions.AbstractCopyAction;

public class CopyTranslationTargetAction extends AbstractCopyAction {

	public CopyTranslationTargetAction(TranslationView view, String text) {
		super(view, text);
	}

	@Override
	protected String asText(IStructuredSelection selection) {
		BentenTmSearchResult entry = (BentenTmSearchResult) selection.getFirstElement();
		return entry.getTarget();
	}
}
